// Ein Shader, der sog. "Toon Shading" macht, d.h., die Objekte so
// darstellt, dass sie aehnlich wie in einem Cartoon aussehen (hence the name)
//
// Alte Version des Toon-Shaders in later Syntax, fuer alte Shader-IDEs
//
// GZ 2011


// Wir brauchen spaeter im Fragment-Shader pro Pixel eine Normale;
// dazu benoetigen wir diese 'varying'-Variable;
// dies ist die einzige Aufgabe das Vertex-Shaders
varying vec3 normal;

void main()
{
	normal = gl_NormalMatrix * gl_Normal;		// jetzt ist 'normal' in Weltkoordinaten

	// wie immer: Vertex nach Kamera.koord. transormieren
	gl_Position = gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;
} 
