#version 330 core


uniform float time;     // gets incremented every frame from the host code

in vec4 fColor;         // input attribute from vertex shader, interpolated by rasterizer
out vec4 color;         // output of this fragment shader (first out attribute)

void main()
{	
	vec4 s;
	s.rg = ( sin(gl_FragCoord.xy * 0.1 + vec2(time)) + 1.0) / 2.0;
	s.b = ( sin(gl_FragCoord.z * 2.1 + time) + 1.0) / 2.0;
	s.a = 1.0;

	color = fColor * s;
} 
