#version 330 core


uniform mat4 ModelViewProjectionMatrix;      // set by host code

in vec4 Vertex;                              // vertex coordinates, input attribute
in vec4 Color;                               // vertex color, input
out vec4 fColor;                             // output attribute

void main()
{
	fColor = Color;                                     // pass through
	gl_Position = ModelViewProjectionMatrix * Vertex;
} 

