#version 330 core

// 
// lighting1.frag
//
// Run with ShaderMaker
//
// This set of shaders (lighting[1-3].{vert,frag}) shows 
// per-pixel lighting step-by-step
//
// Author: GZ, 2007, 2012, 2019

in vec3 vColor;         // color value at a specific fragment (from vertex shader)

out vec3 fragColor;	    // fragment color (the sole output of the fragment shader)


void main()
{
	fragColor = vColor;
}

