#version 330

in vec3 inPosition;

uniform mat4 modelToWorldMatrix;

uniform float t;

const float speed = 0.2;
const float amplitude = 1.4;

void main(void)
{
	vec4 pos = vec4( inPosition, 1.0 );
	pos.y += sin(pos.x + t*speed) * amplitude;
	gl_Position = modelToWorldMatrix * pos;
}
